<?php

function plugin_init_sqlqueries() {
	global $plugin_hooks;
	$plugin_hooks['config_arrays']['sqlqueries'] = 'sqlqueries_config_arrays';
	$plugin_hooks['draw_navigation_text']['sqlqueries'] = 'sqlqueries_draw_navigation_text';
	$plugin_hooks['config_settings']['sqlqueries'] = 'sqlqueries_config_settings';
}

function sqlqueries_version () {
	return array('name' 	=> 'sqlqueries',
		'version'	=> '0.2',
		'author'	=> 'Rene Weber',
		'email' 	=> 'web_rene@gmx.net',
		'longname'	=> 'SQL Queries',
		'homepage'	=> 'http://forums.cacti.net/viewtopic.php?t=20757&highlight=queries',
		'url'		=> ''
		);
}
function sqlqueries_config_arrays () {
	global $user_auth_realms, $user_auth_realm_filenames, $menu;
	$user_auth_realms[36]='SQL Queries';
	$user_auth_realm_filenames['sqlqueries.php'] = 36;
	$menu["Collection Methods"]['plugins/sqlqueries/sqlqueries.php'] = "SQL Queries";
}

function sqlqueries_draw_navigation_text ($nav) {
	$nav["sqlqueries.php:"] = array("title" => "SQL Queries", "mapping" => "index.php:", "url" => "sqlqueries.php", "level" => "1");
	$nav["sqlqueries.php:actions"] = array("title" => "Actions", "mapping" => "index.php:,sqlqueries.php:", "url" => "sqlqueries.php", "level" => "2");
	$nav["sqlqueries.php:save"] = array("title" => "Save", "mapping" => "index.php:,sqlqueries.php:", "url" => "sqlqueries.php?sqlaction=save", "level" => "2");
	return $nav;
}



?>
